@ECHO OFF
REM -----------------------------------------------------------------------
REM   BABEL batch script for fully automated building of BABEL Kit modules
REM   From the BABEL_ROOT directory, execute this batch file with the desired
REM    BABEL generator as argument.
REM 
REM   J.L. Blanco - 2009
REM    MAPIR Lab                   http://babel.isa.uma.es/babel2/
REM ------------------------------------------------------------------

REM - Note: "^" is used to concatelate long lines in BATCH if next line starts with whitespace

if "%1"=="" goto errorend

..\BABEL_batch_build.bat .. %1 ^
 ices\ICE_InterfazCORBA_(Simulator).ice InterfazCORBA ^
 ices\ICE_PLS_v2.0(Simulador).ice PLS ^
 ices\Application2_BABELKITv3/ICE_ReactiveNavigator_v2.1.ice ReactiveNavigator ^
 ices\Application2_BABELKITv3/ICE_pruebaSims.ice Prueba_Simuladores_Robot

goto end


:errorend
echo.
echo **ERROR** Missing argument. Usage: 
echo %0 "BABEL_GENERATOR"
echo.
echo See the list of possible generators with "BABEL_generator -help"
pause
:end
 
